Podatność CVE-2021-20191


Publikacja: 2021-05-26   Modyfikacja: 2021-05-27

Opis:
A flaw was found in ansible. Credentials, such as secrets, are being disclosed in console log by default and not protected by no_log feature when using those modules. An attacker can take advantage of this information to steal those credentials. The highest threat from this vulnerability is to data confidentiality. Versions before ansible 2.9.18 are affected.

Typ:

CWE-532

(Information Exposure Through Log Files)

CVSS2 => (AV:L/AC:L/Au:N/C:P/I:N/A:N)

Ogólna skala CVSS
Znaczenie
Łatwość wykorzystania
2.1/10
2.9/10
3.9/10
Wymagany dostęp
Złożoność ataku
Autoryzacja
Lokalny
Niska
Nie wymagana
Wpływ na poufność
Wpływ na integralność
Wpływ na dostępność
Częściowy
Brak
Brak
Affected software
Redhat -> Ansible 
Redhat -> Ansible tower 
Redhat -> Cisco nx-os collection 
Redhat -> Community general collection 
Redhat -> Community network collection 
Redhat -> Docker community collection 
Redhat -> Google cloud platform ansible collection 
Oracle -> Virtualization 

 Referencje:
https://bugzilla.redhat.com/show_bug.cgi?id=1916813

Copyright 2022, cxsecurity.com

 

Back to Top